Skip to Content
SeyloDocs
API referenceSign-in and account

Change your name

POST
/api/v1/auth.updateProfile

Changes the display name of the signed-in person. Email changes go through an owner or admin (users.update).

Any signed-in caller. Not available to MCP clients or the assistant.

Authorization

cookieseylo_session<token>

Request Body

application/json
  1. body
name*string
Lengthlength <= 80

Response Body

Success.

application/json
  1. response
viewer*
Example Request
curl -X POST 'https://example.com/api/v1/auth.updateProfile' \  -H 'Content-Type: application/json' \  -d '{  "name": "string"}'
Example Response
{  "viewer": {    "id": "string",    "email": "[email protected]",    "name": "string",    "role": "owner"  }}